<?php session_start(); ?>
<?php include "getNameFunction.php"; ?>
<script type="text/javascript">
(function($) {
	
$.extend($.fn, {
	livequery: function(type, fn, fn2) {
		var self = this, q;
		
		// Handle different call patterns
		if ($.isFunction(type))
			fn2 = fn, fn = type, type = undefined;
			
		// See if Live Query already exists
		$.each( $.livequery.queries, function(i, query) {
			if ( self.selector == query.selector && self.context == query.context &&
				type == query.type && (!fn || fn.$lqguid == query.fn.$lqguid) && (!fn2 || fn2.$lqguid == query.fn2.$lqguid) )
					// Found the query, exit the each loop
					return (q = query) && false;
		});
		
		// Create new Live Query if it wasn't found
		q = q || new $.livequery(this.selector, this.context, type, fn, fn2);
		
		// Make sure it is running
		q.stopped = false;
		
		// Run it immediately for the first time
		q.run();
		
		// Contnue the chain
		return this;
	},
	
	expire: function(type, fn, fn2) {
		var self = this;
		
		// Handle different call patterns
		if ($.isFunction(type))
			fn2 = fn, fn = type, type = undefined;
			
		// Find the Live Query based on arguments and stop it
		$.each( $.livequery.queries, function(i, query) {
			if ( self.selector == query.selector && self.context == query.context && 
				(!type || type == query.type) && (!fn || fn.$lqguid == query.fn.$lqguid) && (!fn2 || fn2.$lqguid == query.fn2.$lqguid) && !this.stopped )
					$.livequery.stop(query.id);
		});
		
		// Continue the chain
		return this;
	}
});

$.livequery = function(selector, context, type, fn, fn2) {
	this.selector = selector;
	this.context  = context || document;
	this.type     = type;
	this.fn       = fn;
	this.fn2      = fn2;
	this.elements = [];
	this.stopped  = false;
	
	// The id is the index of the Live Query in $.livequery.queries
	this.id = $.livequery.queries.push(this)-1;
	
	// Mark the functions for matching later on
	fn.$lqguid = fn.$lqguid || $.livequery.guid++;
	if (fn2) fn2.$lqguid = fn2.$lqguid || $.livequery.guid++;
	
	// Return the Live Query
	return this;
};

$.livequery.prototype = {
	stop: function() {
		var query = this;
		
		if ( this.type )
			// Unbind all bound events
			this.elements.unbind(this.type, this.fn);
		else if (this.fn2)
			// Call the second function for all matched elements
			this.elements.each(function(i, el) {
				query.fn2.apply(el);
			});
			
		// Clear out matched elements
		this.elements = [];
		
		// Stop the Live Query from running until restarted
		this.stopped = true;
	},
	
	run: function() {
		// Short-circuit if stopped
		if ( this.stopped ) return;
		var query = this;
		
		var oEls = this.elements,
			els  = $(this.selector, this.context),
			nEls = els.not(oEls);
		
		// Set elements to the latest set of matched elements
		this.elements = els;
		
		if (this.type) {
			// Bind events to newly matched elements
			nEls.bind(this.type, this.fn);
			
			// Unbind events to elements no longer matched
			if (oEls.length > 0)
				$.each(oEls, function(i, el) {
					if ( $.inArray(el, els) < 0 )
						$.event.remove(el, query.type, query.fn);
				});
		}
		else {
			// Call the first function for newly matched elements
			nEls.each(function() {
				query.fn.apply(this);
			});
			
			// Call the second function for elements no longer matched
			if ( this.fn2 && oEls.length > 0 )
				$.each(oEls, function(i, el) {
					if ( $.inArray(el, els) < 0 )
						query.fn2.apply(el);
				});
		}
	}
};

$.extend($.livequery, {
	guid: 0,
	queries: [],
	queue: [],
	running: false,
	timeout: null,
	
	checkQueue: function() {
		if ( $.livequery.running && $.livequery.queue.length ) {
			var length = $.livequery.queue.length;
			// Run each Live Query currently in the queue
			while ( length-- )
				$.livequery.queries[ $.livequery.queue.shift() ].run();
		}
	},
	
	pause: function() {
		// Don't run anymore Live Queries until restarted
		$.livequery.running = false;
	},
	
	play: function() {
		// Restart Live Queries
		$.livequery.running = true;
		// Request a run of the Live Queries
		$.livequery.run();
	},
	
	registerPlugin: function() {
		$.each( arguments, function(i,n) {
			// Short-circuit if the method doesn't exist
			if (!$.fn[n]) return;
			
			// Save a reference to the original method
			var old = $.fn[n];
			
			// Create a new method
			$.fn[n] = function() {
				// Call the original method
				var r = old.apply(this, arguments);
				
				// Request a run of the Live Queries
				$.livequery.run();
				
				// Return the original methods result
				return r;
			}
		});
	},
	
	run: function(id) {
		if (id != undefined) {
			// Put the particular Live Query in the queue if it doesn't already exist
			if ( $.inArray(id, $.livequery.queue) < 0 )
				$.livequery.queue.push( id );
		}
		else
			// Put each Live Query in the queue if it doesn't already exist
			$.each( $.livequery.queries, function(id) {
				if ( $.inArray(id, $.livequery.queue) < 0 )
					$.livequery.queue.push( id );
			});
		
		// Clear timeout if it already exists
		if ($.livequery.timeout) clearTimeout($.livequery.timeout);
		// Create a timeout to check the queue and actually run the Live Queries
		$.livequery.timeout = setTimeout($.livequery.checkQueue, 20);
	},
	
	stop: function(id) {
		if (id != undefined)
			// Stop are particular Live Query
			$.livequery.queries[ id ].stop();
		else
			// Stop all Live Queries
			$.each( $.livequery.queries, function(id) {
				$.livequery.queries[ id ].stop();
			});
	}
});

// Register core DOM manipulation methods
$.livequery.registerPlugin('append', 'prepend', 'after', 'before', 'wrap', 'attr', 'removeAttr', 'addClass', 'removeClass', 'toggleClass', 'empty', 'remove');

// Run Live Queries when the Document is ready
$(function() { $.livequery.play(); });


// Save a reference to the original init method
var init = $.prototype.init;

// Create a new init method that exposes two new properties: selector and context
$.prototype.init = function(a,c) {
	// Call the original init and save the result
	var r = init.apply(this, arguments);
	
	// Copy over properties if they exist already
	if (a && a.selector)
		r.context = a.context, r.selector = a.selector;
		
	// Set properties
	if ( typeof a == 'string' )
		r.context = c || document, r.selector = a;
	
	// Return the result
	return r;
};

// Give the init function the jQuery prototype for later instantiation (needed after Rev 4091)
$.prototype.init.prototype = $.prototype;
	
})(jQuery);
</script>


<style>

#wrap{ width:100%; top:0px; position:relative; bottom:0px; margin:auto; overflow-x: auto;}
#wrap ul{ margin:0px; padding:0px; width: 100%;text-align:center; margin:auto;  overflow-x: auto;}

#wrap .detail-view {
   background: #fff;
    border: 1px solid brown;
    //border-top: 1px solid #E2E2E2;
    //left: 0;
	
    
	clear:both;
	display:none;
	margin:10px 0 10px 5px;
	border-radius:4px;
    width: 98%;
    overflow-x: auto;
}

#wrap .detail-view img {  
    border: 1px solid #78909c;
	border-radius:25%;
	padding:2px;
}

#wrap .detail-view .close{ text-align:right; width:98%; float:left; padding-top:5px; }
#wrap .close a{ padding:6px; height:10px; width:20px; color:#525049; }
#wrap .detail-view .detail_images{ float:left}

#wrap .detail-view .detail_div{ 
	float:left;
	font-family: "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif; 
	width:100%;
	margin:auto;
	background:#fff; 
}

#wrap .detail-view .detail_video{ 
	float:left;
	font-family: "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif; 
	width:50%;
	padding:1%;
	background:#fff; 
}
#wrap .detail-view .detail_info{ 
	float:left;
	width:50%;
	background:#fff; 
	padding:1%;
}




#wrap .detail-view .detail_info label{ font-size:12px;text-transform:uppercase; letter-spacing:1px; line-height:60px;} 

#wrap .detail-view .detail_info p{ height:110px;}

a#show_cart{
    background: none repeat scroll 0 0 #FFFFFF;
    border: 1px solid #E8E7DC;
    cursor: pointer;
	display:block;
    display: inline-block;
    font: 9px/21px "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif;
    letter-spacing: 2px;
    color:#525049;
	padding:8px;
	text-decoration:none;
	
    text-transform: uppercase;
}
.add-to-cart-button{
    background: none repeat scroll 0 0 brown;
    border: 1px solid #E8E7DC;
    cursor: pointer;
    display: inline-block;
    font: 9px/21px "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif;
    letter-spacing: 2px;
    padding-top: 10px; color:#525049;
	margin:0px 0 0 0px;
    text-transform: uppercase;
}

.add-to-cart-button:hover {
    background: none repeat scroll 0 0 #444;
}

.shopp{background: none repeat scroll 0 0 #F8F8F3;}

#wrap ul li{
 
	list-style-type:none; 
	width:32%; 
	margin:5px; 
	
	float:left;
	
	font-family:"LubalGraphBdBTBold",Tahoma;
	font-size:2em;
	border:solid #fff 1px; 
	overflow:hidden;
	background:#fff;
	border-radius:4px;
	border:2px solid #ddd;
	overflow-x: auto;
	padding-bottom:6px;
}

.footer{ height:400px; background:#E2E2E2} 

#wrap ul li:hover{ border:solid red 2px; box-shadow: 0 0 20px #666; }

#wrap ul li div{ 
	text-align:center;
	width:96%;
	margin:auto;
	margin-top:2px auto auto auto;
	position:relative;
	bottom:0px;
	padding-top:6px;
	padding-bottom:4px;
	background:#004d40;
	font: 12px/21px "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif;
	
	color: #fff ;
	text-shadow: 0px 2px 3px #555;
	overflow-x: auto;
}

#wrap ul li img{ 
	text-align:center;
	width:96%;
	margin:auto;
	position:relative;
	bottom:0px;
	padding-top:6px;
	padding-bottom:4px;
}

img#cart{bottom:0px;position:fixed; margin-left:30px; /* keep the bar on top  */}

#wrap ul li { cursor:pointer;}

#cart_wrapper { 
	border:solid #E8E7DC 1px; 
	min-height:120px;
	width:100%;
	padding-top:15px;
	display:none;
    background:#E2E2E2;
	font: 12px/21px "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif;
    
	position:relative
}

#Submit {
  height: 78px;
  float:left;
}

.closeCart{ cursor:pointer;}

button {
	background: none repeat scroll 0 0 #FFFFFF;
    border: 1px solid #E8E7DC;
	width:140px;
    cursor: pointer;
    display: inline-block;
    font: 9px/21px "Helvetica Neue",Helvetica,"Nimbus Sans L",Arial,sans-serif;
    letter-spacing: 2px;
    padding-top: 12px;color:#525049;
	margin-top:1px;
	border:solid #ccc 1px; padding:8px; 
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	margin-left:0px;
    text-transform: uppercase;
	
}

button:hover {
    background: none repeat scroll 0 0 #F8F8F3;
}

.cart-total{background: none repeat scroll 0 0 #F8F8F3;}

.shopp,.cart-total{ 
	border:solid #E8E7DC 1px; padding:8px; 
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px; font-size:12px;
	background:url(remove.png) center right no-repeat 5px;
	border-radius: 8px; 
	font-family:"LubalGraphBdBTBold",Tahoma; 
	margin-top:3px;
	width:320px;
	float:left;
	}

#cart_form{ width:570px; padding-left:15px;}

div.shopp span{ float:left;}	
div.shopp div.label{ width:130px; float:left; }		
div.shopp div.shopp-price{ width:70px; float:left;}
.quantity{ float:left; margin-top:-3px; width:20px;}

img.remove{float:right;cursor:pointer;}
.cart-total b{width:130px;}
</style>


<script type="text/javascript">

$(document).ready(function() {
	
	var Arrays=new Array();
	
	$('.add-to-cart-button').click(function(){
		
		var thisID 	  = $(this).parent().parent().attr('id').replace('detail-','');
		
		var itemname  = $(this).parent().find('.item_name').html();
		var itemprice = $(this).parent().find('.price').html();
		
		if(include(Arrays,thisID))
		{
			var price 	 = $('#each-'+thisID).children(".shopp-price").find('em').html();
			var quantity = $('#each-'+thisID).children(".shopp-quantity").html();
			quantity = parseInt(quantity)+parseInt(1);
			
			var total = parseInt(itemprice)*parseInt(quantity);
			
			$('#each-'+thisID).children(".shopp-price").find('em').html(total);
			$('#each-'+thisID).children(".shopp-quantity").html(quantity);
			
			var prev_charges = $('.cart-total span').html();
			prev_charges = parseInt(prev_charges)-parseInt(price);
			
			prev_charges = parseInt(prev_charges)+parseInt(total);
			$('.cart-total span').html(prev_charges);
			
			$('#total-hidden-charges').val(prev_charges);
		}
		else
		{
			Arrays.push(thisID);
			
			var prev_charges = $('.cart-total span').html();
			prev_charges = parseInt(prev_charges)+parseInt(itemprice);
			
			$('.cart-total span').html(prev_charges);
			$('#total-hidden-charges').val(prev_charges);
			
			var Height = $('#cart_wrapper').height();
			$('#cart_wrapper').css({height:Height+parseInt(45)});
			
			$('#cart_wrapper .cart-info').append('<div class="shopp" id="each-'+thisID+'"><div class="label">'+itemname+'</div><div class="shopp-price"> $<em>'+itemprice+'</em></div><span class="shopp-quantity">1</span><img src="remove.png" class="remove" /><br class="all" /></div>');
			
		}
		
	});	
	
	$('.remove').livequery('click', function() {
		
		var deduct = $(this).parent().children(".shopp-price").find('em').html();
		var prev_charges = $('.cart-total span').html();
		
		var thisID = $(this).parent().attr('id').replace('each-','');
		
		var pos = getpos(Arrays,thisID);
		Arrays.splice(pos,1,"0")
		
		prev_charges = parseInt(prev_charges)-parseInt(deduct);
		$('.cart-total span').html(prev_charges);
		$('#total-hidden-charges').val(prev_charges);
		$(this).parent().remove();
		
	});	
	
	$('#Submit').livequery('click', function() {
		
		var totalCharge = $('#total-hidden-charges').val();
		
		$('#cart_wrapper').html('Total Charges: $'+totalCharge);
		
		return false;
		
	});	
	
	// this is for 2nd row's li offset from top. It means how much offset you want to give them with animation
	var single_li_offset 	= 200;
	var current_opened_box  = -1;
	
	$('#wrap li').click(function() {
	
		var thisID = $(this).attr('id');
		var $this  = $(this);
		
		var id = $('#wrap li').index($this);
		
		if(current_opened_box == id) // if user click a opened box li again you close the box and return back
		{
			$('#wrap .detail-view').slideUp('slow');
			return false;
		}
		$('#cart_wrapper').slideUp('slow');
		$('#wrap .detail-view').slideUp('slow');
		
		// save this id. so if user click a opened box li again you close the box.
		current_opened_box = id;
		
		var targetOffset = 0;
		
		// below conditions assumes that there are four li in one row and total rows are 4. How ever if you want to increase the rows you have to increase else-if conditions and if you want to increase li in one row, then you have to increment all value below. (if(id<=3)), if(id<=7) etc
		
		if(id<=3)
			targetOffset = 0;
		else if(id<=7)
			targetOffset = single_li_offset;
		else if(id<=11)
			targetOffset = single_li_offset*2;
		else if(id<=15)
			targetOffset = single_li_offset*3;
		
		$("html:not(:animated),body:not(:animated)").animate({scrollTop: targetOffset}, 800,function(){
			
			$('#wrap #detail-'+thisID).slideDown(500);
			return false;
		});
		
	});
	
	$('.close a').click(function() {
		
		$('#wrap .detail-view').slideUp('slow');
		
	});
	
	$('.closeCart').click(function() {
		
		$('#cart_wrapper').slideUp();
		
	});
	
	$('#show_cart').click(function() {
		
		$('#cart_wrapper').slideToggle('slow');
		
	});
	
});

function include(arr, obj) {
  for(var i=0; i<arr.length; i++) {
    if (arr[i] == obj) return true;
  }
}

function getpos(arr, obj) {
  for(var i=0; i<arr.length; i++) {
    if (arr[i] == obj) return i;
  }
}

</script>

<?php 
include "../db1819.php";


$pageLoadId=$_SESSION['pageLoaded'];


?>
<style>
.detail_info table{
font-size:14px;
color:#000;
}

.detail_info table td{
padding:4px;
background:#eef;
border-radius:2px;
}
</style>

<?php for($i=1;$i<=100;$i++) { $data_idd[$i]=$i;} 
$query=$_SESSION['query'];
$result = mysql_query($query)	or die(mysql_error());
$i=0;
while ($row = mysql_fetch_array($result))
{
        $idd[$i] = $row['id'];	
		$datee[$i] = $row['date'];
		$sectionidd[$i] = $row['sectionid'];
		$useriddd[$i] = $row['userid'];
		$courseidd[$i] = $row['courseid'];
		$titlee[$i] = $row['title'];
		$linkk[$i] = $row['link'];
		$contentt[$i] = $row['content'];
		$visitorr[$i] = $row['visitor'];
		$displaytopp[$i] = $row['displaytop'];
		$youtubelinkkk[$i] = $row['youtubelink'];
		$meetingidd[$i] = $row['meetingid'];
		$meetinglinkkk[$i] = $row['meetinglink'];
		$dateandtimee[$i] = $row['dateandtime'];
		$livee[$i] = $row['live'];
		$multiplesectionveiw[$i] = $row['multiplesectionveiw'];
		
	$i++;
}
$newvisitor=$visitorr[0]+1;
//mysql_query("UPDATE  lecturetable SET visitor = '$newvisitor' WHERE id = '$idd[0]'");

if(strtotime($dateandtimee[0])<strtotime("11-08-2020"))
$imageFolder="https://dcc.dotcom.vip/sp1920/";
else $imageFolder="";


?>

<div align="left" style="background:#fff; overflow-x: hidden;">	
	<div id="wrap" align="center">		
		<ul>	
			<?php for($j=$pageLoadId;$j<=$pageLoadId+6;$j+=3) {?>
		
			<?php for($i=$j;$i<=$j+2;$i++) { ?>
			<li id="<?php echo $idd[$i];?>">
				<img src="<?php echo "https://img.youtube.com/vi/$youtubelinkkk[$i]/0.jpg";?>" class="items"   alt="" />				
				<br clear="all" />
				<div>
				    <b><?php echo getCourseName($courseidd[$i])."<br>"; ?></b>
				    <?php echo $titlee[$i]."<br>"; ?>
				    <?php echo substr($contentt[$i],0,50)."<br>"; ?>
				    
				</div>
			</li>
			<?php }?>
			
			
			<?php for($i=$j;$i<=$j+2;$i++) {?>			
			<div class="detail-view" id="detail-<?php echo $idd[$i];?>">			
				<div class="close" align="right">
					<a href="javascript:void(0)"><img src="images/cross.png" alt="X" style="border: 1px solid white;"/></a>					
				</div>	

<div class="detail_div">

<div class="detail_video">
<iframe width="100%" height="310" src="https://www.youtube.com/embed/<?php echo $youtubelinkkk[$i]; ?>" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>	
</div>
				<div class="detail_info">	
<style>
 .lectable tr td { background:#f1f8e9 !important;}    
 .bb {color:#004d40;}
</style>
<?php  
$profileExplode=explode("@",getUserProfile($useriddd[$i]));
$shifttt=$_SESSION['shift'];
$gender=$profileExplode[4];
if($shifttt=="D" && $gender=="FEMALE") $hideimage[$i]=0; else $hideimage[$i]=1; 
?>
					
					<table class='table table-bordered lectable'>				
					<tr> <td>Course Name </td> <td><b class='bb'> <?php echo getCourseName($courseidd[$i]); ?></b></td></tr>
					<tr> <td>Chapter Name</td><td><?php echo $titlee[$i];?></td></tr>					
					<tr> <td>Topics Name </td><td><?php echo $contentt[$i]; ?></td></tr>
                    <tr><td><?php if($hideimage[$i]) { ?><img src='ap/<?php echo $profileExplode[3]; ?>' width='70'> <?php } ?></td><td>
                        Lecture By<br>
					    <b class='bb'><?php echo $profileExplode[0]; ?></b><br> 
					    <?php echo $profileExplode[1]; ?><br>
					    Department of  <?php echo $profileExplode[2]; ?><br>
					    </td>
					</tr> 
					<tr> <td>Published Date </td><td><?php echo date("d-m-Y g:i A",strtotime($dateandtimee[$i]));?></td></tr>
					
					<tr> <td>Lecture Slides </td><td>
					    <?php if(strlen($linkk[$i])) echo "<a href='$imageFolder$linkk[$i]' target='_blank'> "; ?>
					    <button  class="add-to-cart-button" style="color:#fff;"> Download </button></a>	</td></tr>				
					</table>
				</div>
	</div>
			</div>
			<?php }  $_SESSION['pageLoaded']=$i;?>
			<?php }?>
			

			
			
			<br clear="all" />
		</ul>
		<br clear="all" />
	</div>
	
		
</div>


